<!DOCTYPE html>
<html <?php language_attributes(); ?> >
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
<?php wp_head(); ?>
<style>
/*
 * Base structure
 */
html,
body {
  height: 100%;
  background-color: transparent;
  background-size: cover;
}
body{
  background-image:url(<?php echo esc_url_raw(IMAGES.'coming-soon-bg.jpg'); ?>);
  background-color: transparent;
height: 100vh;
background-size: cover;
}
body:after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    z-index: 0;
    opacity: 0.55;
    background-color: #000;
}
body.logged-in.admin-bar:after{ margin-top: 32px !important; }
body {
  display: -ms-flexbox;
  display: flex;
  color: #fff;
  text-shadow: 0 .05rem .1rem rgba(0, 0, 0, .5);
  box-shadow: inset 0 0 5rem rgba(0, 0, 0, .5);
}

.cover-container {
  max-width: 42em;
  z-index: 1;
}


/*
 * Header
 */
.masthead {
  margin-bottom: 2rem;
}

.inner .site-logo img{
  width:100px;
}
.masthead-brand {
  margin-bottom: 0;
}

.nav-masthead .nav-link {
  padding: .25rem 0;
  font-weight: 700;
  color: rgba(255, 255, 255, .5);
  background-color: transparent;
  border-bottom: .25rem solid transparent;
}

.nav-masthead .nav-link:hover,
.nav-masthead .nav-link:focus {
  border-bottom-color: rgba(255, 255, 255, .25);
}

.nav-masthead .nav-link + .nav-link {
  margin-left: 1rem;
}

.nav-masthead .active {
  color: #fff;
  border-bottom-color: #fff;
}

@media (min-width: 48em) {
  .masthead-brand {
    float: left;
  }
  .nav-masthead {
    float: right;
  }
}


/*
 * Cover
 */
.cover {
  padding: 0 1.5rem;
}
.cover-heading{
	    font-weight: 700;
        font-size: 60px;
    text-transform: uppercase;
    word-spacing: 10px;
   line-height: normal;
}
.lead{margin-bottom: 20px;}
.cover .btn-lg {
  padding: .75rem 1.25rem;
  font-weight: 700;
}


/*
 * Footer
 */
.mastfoot {
  color: rgba(255, 255, 255, .5);
}
/*==========Countdown Block==========*/
.countdown-sec{
    float: left;
    width: 100%;
    position: relative;
    z-index: 2;
    color: #fff;
    text-align: center;
}
.countdown-sec #timer{
    float: left;
    width: 100%
}
.countdown-sec #timer span{
    font-size: 55px;
    position: relative;
    line-height: normal;
    padding: 10px 20px 0;
    display: inline-block;
    font-weight: 700;
}
.countdown-sec #timer span i{
    font-style: normal;
    font-size: 20px;
    font-weight: normal;
    position: absolute;
    width:50%;
    text-align: center;
    left: 50%;
    margin-left: -25%;
    top: -10px;
    color: #fff;
    opacity: 0.7;
}

</style>
</head>
<body <?php body_class('text-center'); ?>>
<?php wp_body_open(); ?>
	    <div class="cover-container d-flex w-100 h-100 p-3 mx-auto flex-column">
  <header class="masthead mb-auto">
    <div class="inner">
      <div class="site-logo">
        <?php get_template_part( 'template-parts/header/content', 'branding' ); ?>
    
    </div>
    
    </div>
  </header>

  <main role="main" class="inner cover">
    <h1 class="cover-heading"><?php esc_html_e("Coming Soon", 'begro');?> </h1>
    <p class="lead">
    <?php esc_html_e("Our website is under construction.", 'begro');?>
    </p>
    	<div class="countdown-sec mb-4">
					
					</div>
  </main>

  <footer class="mastfoot mt-auto">
    <div class="inner">
    <p>
			<?php esc_html_e('Designed &amp; Developed BY ',"begro"); ?> <strong><a href="<?php echo esc_url('https://www.midexigner.com'); ?>" title="MI Dexigner" target="_blank" rel="nofollow">MI Dexigner</a></strong> | Power By <strong>WordPress</strong>
			</p>
    </div>
  </footer>
</div>
<?php wp_footer(); ?>